Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004144Arma 3Editorpublic2013-03-11 21:582013-12-13 00:26
ReporterSovietRaptor 
Assigned ToMoricky 
PrioritynormalSeveritytweakReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformPC OSWin VistaOS Version64 bit
Product Version 
Target VersionFixed in Version 
28 vote(s) 96,55%
1 vote(s) 3,45%
Summary0004144: "Set Task Destination" module inconsistencies
DescriptionSyncing the module to the main "Set Task" module causes the way-point to appear sometimes, but not always for me.
Steps To ReproduceSet up multiple task module with a destination linked to it, then link it to the player. Some of the destination modules won't work properly in game.
Additional InformationI don't believe I am doing anything wrong because I have checked many times - the fact that the waypoints sometime show up is evident of this.
TagsNo tags attached.
Game VersionArma 3 Dev
Attached Filesjpg file icon taskdestinationworks.jpg (222,221 bytes) 2013-09-04 21:05

- Relationships

-  Notes
(0008954)
drbigmoney (reporter)
2013-03-13 06:21

Glad I saw this.....I've been racking my brain over here wondering what the hell I'm doing wrong. Glad to see I'm not the only one. My first task it will show just fine....it's the subsequent one's that do not work.
(0008957)
Tubby (reporter)
2013-03-13 06:44

"My first task it will show just fine....it's the subsequent one's that do not work."

+1
(0031973)
PigBodine (reporter)
2013-06-07 20:28

I am also unable to get the task destination to show up after the first.
(0032366)
PigBodine (reporter)
2013-06-09 16:59

Upon further testing I was able to get subsequent task destinations to show after the first. They need to be linked to the previous task's trigger as well as the new create task.
(0051464)
Possemaster (reporter)
2013-08-31 15:11

you have to use multiple triggers. If the second task is created by a trigger and the same trigger is also setting the destination you will have this problem as 1 trigger has 2 actions. The trigger does not know wich one to execute first so it will randomly pick one. If the set destination was picked first and after that the create task the task is create over the destination and thus will be removed. You have to copy your trigger 2 times and set a delay on the 2nd trigger of 1 second. So the task is created first and afterwards the second trigger will set the destination for that task in the correct order.
(0051514)
drbigmoney (reporter)
2013-09-01 00:21

@Possemaster,

Doesn't that feel like a ghetto rigged solution? It would seem to me that any intel modules synced to a "create task" module should be good to go. So if I sync two "destination" module to a "create task" module it shouldn't be any issue. It's tied to that task only when It's created. Either way, someone was assigned to it. Hopefully we can get an easier solution. I don't like having to use markers all the time. Appreciate the tips though man!
(0051586)
tyl3r99 (reporter)
2013-09-01 13:27
edited on: 2013-09-01 13:33

i fully agree, triggers get confused when too much things are synced to them...
i.e. task destination, task states, create task itself, etc etc...

i find it mind bogging that i have to use 300 triggers in one mission
people have said to me on the forums to use scripting to make the tasks work... why the fuck should i learn to script when these task modules claim to do this for us...

i think its the destination module itself (doesnt need to be synced to anything else other than create task!!) and the triggers that set off the set task states.
i previewed a mission of mine yesterday and it all worked when i wanted to play again it didnt... i made it that the tasks auto assign when created (also buggy)
and 1 out of 4 destinations showed up... b r o k e n

(0052150)
lucasdigital (reporter)
2013-09-04 21:09

I have to chime in and add to claims that the behavior of the "Set Task Destination" does not work in a logical or deterministic manner.

"taskdestinationworks.jpg" illustrates a setup that worked well for me: the player is synchronized with a task (1) to investigate behind the nearby shack. The task is activated automatically (2) and it's location displayed (5).

Now, if I then add an additional task module, even if I don't sync it to anything, this setup breaks. The task destination no longer appears when the mission starts.
(0052154)
tyl3r99 (reporter)
2013-09-04 21:30

Now try auto assigning the 2nd task as well with the task destination on task 2 ;)

It fucks up completely
(0054422)
Moricky (Bohemia Interactive - developer)
2013-09-18 08:38

The issue was that "Set destination" module was called before "Create" one, and its effect was replaced. The modules are now executed in the correct order - first "Create", then "Set" variants (e.g., destination, description, ...).

Additionally, it's possible to set destination and state right in the "Create" module.
(0055079)
blackxcom (reporter)
2013-09-21 20:43

This issue is still not fixed. Can not set set destination Task and still cannot assign task.
(0055133)
tyl3r99 (reporter)
2013-09-22 01:02

+1 with blackxcom.... still does not work all the time (destination) and (assigned - when trigger activates)
(0055179)
tyl3r99 (reporter)
2013-09-22 16:07

can this be set to not resolved again XD
(0056325)
papy.rabbit.08 (reporter)
2013-09-30 23:02

That's incredible, it still doesn't work!!! -.-
(0056328)
drbigmoney (reporter)
2013-09-30 23:42

If you use the "destination" inside of the "create task" itself it works every time for me now. So maybe for now just don't even bother with the "destination" module.

Only draw back to this is that sometimes I like my "create/state" modules to be near the start for players and in sort of an order. If you have to place the "create" task module at your destination you can't do that at all.
(0056331)
papy.rabbit.08 (reporter)
2013-09-30 23:54

Ah ok, you have to put the create module on the destination! Because otherwise, it didn't work with a marker, creating a task during the game with the module setdestination didn't work, and finally, the function settaskdestination doesn't work either :S
Thank you
(0057867)
tyl3r99 (reporter)
2013-10-17 11:53

I will try some tests, but it looks all good on my account.

ill test with triggers and the rest and see
(0061107)
Fireball (moderator)
2013-11-27 23:41

Marking resolved according to last comments.
(0062020)
Fireball (moderator)
2013-12-13 00:26

Mass closing resolved issues not updated since November.

- Issue History
Date Modified Username Field Change
2013-03-11 21:58 SovietRaptor New Issue
2013-03-13 06:21 drbigmoney Note Added: 0008954
2013-03-13 06:44 Tubby Note Added: 0008957
2013-04-08 09:55 MadDogX Summary "Set Task Destination" module inconsistancies => "Set Task Destination" module inconsistencies
2013-06-07 20:28 PigBodine Note Added: 0031973
2013-06-09 16:59 PigBodine Note Added: 0032366
2013-08-31 15:11 Possemaster Note Added: 0051464
2013-08-31 16:26 Moricky Assigned To => Moricky
2013-08-31 16:26 Moricky Status new => assigned
2013-09-01 00:21 drbigmoney Note Added: 0051514
2013-09-01 13:27 tyl3r99 Note Added: 0051586
2013-09-01 13:33 tyl3r99 Note Edited: 0051586 View Revisions
2013-09-04 21:05 lucasdigital File Added: taskdestinationworks.jpg
2013-09-04 21:09 lucasdigital Note Added: 0052150
2013-09-04 21:30 tyl3r99 Note Added: 0052154
2013-09-18 08:38 Moricky Game Version => Arma 3 Dev
2013-09-18 08:38 Moricky Note Added: 0054422
2013-09-18 08:38 Moricky Status assigned => resolved
2013-09-18 08:38 Moricky Resolution open => fixed
2013-09-21 20:43 blackxcom Note Added: 0055079
2013-09-22 01:02 tyl3r99 Note Added: 0055133
2013-09-22 16:07 tyl3r99 Note Added: 0055179
2013-09-23 08:26 Fireball Status resolved => feedback
2013-09-23 08:26 Fireball Resolution fixed => reopened
2013-09-30 23:02 papy.rabbit.08 Note Added: 0056325
2013-09-30 23:42 drbigmoney Note Added: 0056328
2013-09-30 23:54 papy.rabbit.08 Note Added: 0056331
2013-10-17 11:53 tyl3r99 Note Added: 0057867
2013-11-27 23:41 Fireball Note Added: 0061107
2013-11-27 23:41 Fireball Status feedback => resolved
2013-11-27 23:41 Fireball Resolution reopened => fixed
2013-12-13 00:26 Fireball Note Added: 0062020
2013-12-13 00:26 Fireball Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team